#include "exceptions.hh"

BaseException::BaseException(const std::string& message)
{
    strncpy(message_, message.c_str(), maxExceptionMessageLength);
}

const char* BaseException::what() const noexcept
{
    return message_;
}

LogicException::LogicException(const std::string& message) :
    BaseException(message)
{}

FileLoadException::FileLoadException(const std::string& message) :
    BaseException(message)
{}

FileSaveException::FileSaveException(const std::string& message) :
    BaseException(message)
{}

StorageException::StorageException(const std::string& message) :
    BaseException(message)
{}
